Package org.apache.wiki.htmltowiki.syntax.jspwiki

# Class JSPWikiSyntaxDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator
org.apache.wiki.htmltowiki.syntax.jspwiki.JSPWikiSyntaxDecorator

All Implemented Interfaces:
  `SyntaxDecorator`

public class JSPWikiSyntaxDecorator extends WikiSyntaxDecorator
JSPWiki wiki syntax decorator which translates to wiki syntax. Delegates each kind of XHTML element to its specific decorator.

## Field Summary

### Fields inherited from class org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator

`a, br, chain, code, config, css, cssStyle, dd, dl, dt, em, form, h1, h2, h3, h4, hr, img, input, li, ol, option, outTrimmer, p, plainText, pre, select, strike, strong, sub, sup, table, tbody, td, textarea, textElement, th, thead, tr, ul, underline`

## Constructor Summary

Constructors
Constructor
Description
`JSPWikiSyntaxDecorator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(PrintWriter out, Deque<String> liStack, Deque<String> preStack, WhitespaceTrimWriter outTrimmer, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)`
Prepares the syntax decorator.

### Methods inherited from class org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator

`a, aFootnote, aUndefined, br, code, dd, dl, dt, em, form, h1, h2, h3, h4, hr, image, img, input, li, ol, option, p, paragraph, pre, select, strike, strong, sub, sup, table, tbody, td, text, textarea, th, thead, tr, ul, underline`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSPWikiSyntaxDecorator

public JSPWikiSyntaxDecorator()

## Method Details

### init

public void init(PrintWriter out, Deque<String> liStack, Deque<String> preStack, WhitespaceTrimWriter outTrimmer, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)
Prepares the syntax decorator.

Parameters:
  `out` - writer that will hold the resulting wiki markup.
  `liStack` - stack containing the amount of nested `li`s.
  `preStack` - stack containing the amount of nested `pre`s.
  `outTrimmer` - writer capable of trimming whitespaces and of checking if it's currently writing a line start.
  `config` - xhtml to wiki configuration object.
  `chain` - chain (in the chain of responsibilities patterns) that is expected to be called by the different xhtml decorations.